/*
 *  UltimateIRCd - an Internet Relay Chat Daemon, include/ciofunc.h
 *
 *  Copyright (C) 2002 by the past and present ircd coders, and others.
 *  Refer to the documentation within doc/authors/ for full credits and copyrights.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: ciofunc.h,v 1.3 2002/10/19 00:58:03 shadowmaster Exp $
 *
 */

#ifndef	__ciofunc_include__
#define __ciofunc_include__

#include "Cio.h"

#define GWL_USER        0
#define CIO_ADDSTRING   WM_USER
#define CIO_CLEAR       WM_USER+1

// Cio_Init.c
BOOL Cio_Init (HINSTANCE hInstance);

// Cio_Main.c
LRESULT CALLBACK Cio_WndProc (HWND, UINT, WPARAM, LPARAM);
HWND Cio_Create (HINSTANCE hInstance, HWND hParent, DWORD Style, int X, int Y,
		 int W, int H);
BOOL Cio_WndCreate (HWND hWnd);
BOOL Cio_WndPaint (HWND hWnd);
BOOL Cio_WndDestroy (HWND hWnd);
BOOL Cio_WndAddString (HWND hWnd, int Len, char *Buffer);
BOOL Cio_WndSize (HWND hWnd, LPARAM lParam);
void Cio_Scroll (HWND hWnd, CioWndInfo * CWI, int Scroll);
BOOL Cio_PrintF (HWND hWnd, char *InBuf, ...);

#endif /* __ciofunc_include__ */
