/*
 *  UltimateIRCd - an Internet Relay Chat Daemon, include/userload.h
 *
 *  Copyright (C) 2002 by the past and present ircd coders, and others.
 *  Refer to the documentation within doc/authors/ for full credits and copyrights.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: userload.h,v 1.3 2002/10/19 00:58:03 shadowmaster Exp $
 *
 */

struct current_load_struct
{
  u_short client_count, local_count, conn_count;
  u_long entries;
};

extern struct current_load_struct current_load_data;

struct load_entry
{
  struct load_entry *prev;
  u_short client_count, local_count, conn_count;
#ifdef DEBUGMODE
  u_short cpu_usage;
#endif
  long time_incr;
};

extern struct load_entry *load_list_head, *load_list_tail,
  *load_free_head, *load_free_tail;


extern void initload PROTO ((void));
extern void update_load PROTO ((void));
extern void calc_load PROTO ((aClient *, char *));
