/*
 *  UltimateIRCd - an Internet Relay Chat Daemon, include/cio.h
 *
 *  Copyright (C) 2002 by the past and present ircd coders, and others.
 *  Refer to the documentation within doc/authors/ for full credits and copyrights.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: cio.h,v 1.3 2002/10/19 00:58:03 shadowmaster Exp $
 *
 */

#ifndef	__cio_include__
#define __cio_include__

#include <windows.h>


#define CIOCLASS    "CioClass"

#ifndef CIO
#define CIO

typedef struct tag_CioLine
{
  BYTE *Data;
  WORD Len;
  struct tag_CioLine *Prev, *Next;
}
CioLine;

typedef struct tag_CioWndInfo
{
  CioLine *FirstLine, *CurLine;
  int Lines, Scroll;
  int Width, Height, XChar, YChar, YJunk, ScrollMe;
  HFONT hFont;
  BYTE FR, FG, FB;
}
CioWndInfo;

#endif

#endif /* __cio_include__ */
