/*
 *  UltimateIRCd - an Internet Relay Chat Daemon, include/ultimate.h
 *
 *  Copyright (C) 2002 by the past and present ircd coders, and others.
 *  Refer to the documentation within doc/authors/ for full credits and copyrights.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: ultimate.h,v 1.2 2002/10/19 00:58:03 shadowmaster Exp $
 *
 */

#ifndef	__ultimate_include__
#define __ultimate_include__

/*
**
** July 14th 1999.
** Made this file as i was tired of all the messy include files.
** Feel free to put defines and extern structs in here. - HAMLET
**
*/

/*
# The maximum lenght of the motd last changed buffer.
# must have enough space to include the full date string. - HAMLET
*/
#define MOTD_LAST_CHANGED_MAX_LENGHT 32

/*
# The maximum lenght of the opermotd last changed buffer.
# must have enough space to include the full date string. - HAMLET
*/
#define OMOTD_LAST_CHANGED_MAX_LENGHT 32



extern char motd_last_changed_date[MOTD_LAST_CHANGED_MAX_LENGHT];
extern char omotd_last_changed_date[OMOTD_LAST_CHANGED_MAX_LENGHT];


#define getrandom(min, max) ((rand() % (int)(((max)+1) - (min))) + (min))

#endif /* __ultimate_inlude__ */
